org.apache.lucene.analysis

## Class CannedBinaryTokenStream

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.CannedBinaryTokenStream

All Implemented Interfaces:
  Closeable, AutoCloseable

    public final class CannedBinaryTokenStream
    extends TokenStream

TokenStream from a canned list of binary (BytesRef-based) tokens.

### Nested Class Summary

Nested Classes
`static class` `CannedBinaryTokenStream.BinaryToken` Represents a binary token.

### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

`AttributeSource.State`

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.TokenStream

`DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

### Constructor Summary

Constructors
Constructor and Description
`CannedBinaryTokenStream(CannedBinaryTokenStream.BinaryToken... tokens)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `incrementToken()`

### Methods inherited from class org.apache.lucene.analysis.TokenStream

`close, end, reset`

### Methods inherited from class org.apache.lucene.util.AttributeSource

`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CannedBinaryTokenStream

    public CannedBinaryTokenStream(CannedBinaryTokenStream.BinaryToken... tokens)

### Method Detail

#### incrementToken

    public boolean incrementToken()

Specified by:
  `incrementToken` in class `TokenStream`